<template>
  <svg class="svg" viewBox="0 0 80 160">
    <g id="display" :style="{ '--color': color }">
      <polygon
        :class="['digit', { active: activeList.indexOf('f') > -1 }]"
        points="0,2 20,22 20,68 0,78"
        fill="none"
        stroke="black"
      />
      <polygon
        :class="['digit', { active: activeList.indexOf('e') > -1 }]"
        points="0,82 20,92 20,138 0,158"
        fill="none"
        stroke="black"
      />
      <polygon
        :class="['digit', { active: activeList.indexOf('a') > -1 }]"
        points="2,0 78,0 58,20 22,20"
        fill="none"
        stroke="black"
      />
      <polygon
        :class="['digit', { active: activeList.indexOf('b') > -1 }]"
        points="80,2 60,22 60,68 80,78"
        fill="none"
        stroke="black"
      />
      <polygon
        :class="['digit', { active: activeList.indexOf('c') > -1 }]"
        points="80,82 60,92 60,138 80,158"
        fill="none"
        stroke="black"
      />
      <polygon
        :class="['digit', { active: activeList.indexOf('d') > -1 }]"
        points="2,160 78,160 58,140 22,140"
        fill="none"
        stroke="black"
      />
      <polygon
        :class="['digit', { active: activeList.indexOf('g') > -1 }]"
        points="2,80 22,70 58,70 78,80  58,90 22,90"
        fill="none"
        stroke="black"
      />
    </g>
  </svg>
</template>

<script>
export default {
  name: '',
  props: {
    num: {
      type: [Number, String],
      default: 0
    },
    color: {
      type: String,
      default: '#0ff'
    }
  },
  data() {
    return {
      digitPatterns: {
        0: ['a', 'b', 'c', 'd', 'e', 'f'],
        1: ['b', 'c'],
        2: ['a', 'b', 'd', 'e', 'g'],
        3: ['a', 'b', 'c', 'd', 'g'],
        4: ['b', 'c', 'f', 'g'],
        5: ['a', 'c', 'd', 'f', 'g'],
        6: ['a', 'c', 'd', 'e', 'f', 'g'],
        7: ['a', 'b', 'c'],
        8: ['a', 'b', 'c', 'd', 'e', 'f', 'g'],
        9: ['a', 'b', 'c', 'd', 'f', 'g']
      }
    };
  },
  computed: {
    activeList() {
      return this.digitPatterns[this.num];
    }
  },
  components: {},
  methods: {},

  mounted() {}
};
</script>

<style scoped>
.svg {
  width: 100%;
  height: 100%;
}
.digit {
  fill: rgba(0,0,0,.1);
  stroke: none;
  transition: fill 0.3s ease;
}
.digit.active {
  fill: var(--color);
  stroke: none;
}
</style>
